Bug 734118 - Support XA Recovery in the MRG-M JCA adaptor for EAP
Summary: Support XA Recovery in the MRG-M JCA adaptor for EAP
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-jca
Version: Development
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: 2.1.2
: ---
Assignee: Weston M. Price
QA Contact: MRG Quality Engineering
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-29 13:48 UTC by Ted Ross
Modified: 2016-02-22 00:59 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)

Description Ted Ross 2011-08-29 13:48:44 UTC

Comment 1 Weston M. Price 2011-08-29 14:11:42 UTC
Implementation can be found here:

https://svn.devel.redhat.com/repos/mrg-team/trunk/people/wprice/jca-xa-recovery

README file is included in the project, as well as a sample jbossts-properties.xml file for deployment.

Comment 2 Kim Palko 2011-08-31 13:50:36 UTC
Product Managements needs the QE effort estimate for testing XA recovery ASAP. This information is required as input for decisions around various release options.

Comment 3 Mike Harvey 2011-08-31 14:12:32 UTC
<rajesh> mharvey_mtg, pslavice The bz doesn't say if xa transactions + recovery are supported in a cluster setup. pslavice we might have to check with Weston on that before coming with an estimate.

Comment 4 Weston M. Price 2011-08-31 14:19:56 UTC
I have been speaking to Alan Conway about this. He has patched the Broker so XA should be supported in a cluster going forward. I can't anticipate any issues with XARecovery/Cluster, we just need more testing to verify.

Comment 5 Jimmy Wilson 2011-08-31 21:57:04 UTC
(In reply to comment #4)
> I have been speaking to Alan Conway about this. He has patched the Broker so XA
> should be supported in a cluster going forward. I can't anticipate any issues
> with XARecovery/Cluster, we just need more testing to verify.

Just to be clear, that's going to be going forward in the next MRG release, or is that going to be going forward in a timeline that is relevant to the JCA adapter release we're talking about?

Comment 6 Jimmy Wilson 2011-08-31 22:01:44 UTC
(In reply to comment #5)
> Just to be clear, that's going to be going forward in the next MRG release, or
> is that going to be going forward in a timeline that is relevant to the JCA
> adapter release we're talking about?

I may have misunderstood.  Weston's comment says that the Broker is patched so "XA" should be supported in a cluster going forward.  I assume this was just "XA transactions" globally instead of XA transactions with respect to XA recovery.

Comment 7 Weston M. Price 2011-08-31 22:13:05 UTC
Correct. Prior to 

https://issues.apache.org/jira/browse/QPID-3384

being implemented (in review), using XA in a cluster would fail immediately and was independent of recovery. When Alan's patch is upstream and integrated, XA in a cluster, as well as XARecovery in a cluster needs to be tested.

Again, Alan's patch is still under review and I don't know what this does to the schedule.

Comment 8 Andrew Stitcher 2011-10-11 19:52:58 UTC
The Xa recovery code is now packaged

Comment 9 Weston M. Price 2012-02-16 13:31:26 UTC
Note, JBossTS (Arjuna) logs quite a few warning messages to the logs during the recovery process. At first glance, these may seem contradictory or a the very least confusing. Typically the messages take the form of 

'WARNING - Could not recover non-serializable XAResouce'

JBossTS makes two passes during the recovery process. At times, a transaction cannot be recovered on one pass, but will be recovered on a subsequent pass. The above warning message usually occurs during this process. Again, these messages are simply warnings and do not effect the overall behavior of the recovery process. The JBossTS documentation has more information.

Comment 10 Weston M. Price 2012-02-16 14:14:39 UTC
In conjunction with the general JBossTS documentation, the following link explains the recovery process:

http://docs.jboss.org/jbosstm/docs/4.2.3/manuals/html/core/FailureRecoveryGuide.html


Note You need to log in before you can comment on or make changes to this bug.